//+------------------------------------------------------------------+
//          Moving average slope changing alert                      |
//+------------------------------------------------------------------+

#property copyright "Edas"
#property link      "edas@tdd.lt"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Green
#property indicator_color2 Red

extern bool SoundON=true;
extern bool EmailON=false;

extern int MA_Mode = 1; //0=sma, 1=ema, 2=smma, 3=lwma, 4=lsma
extern int MA_Period =  3;
extern int PriceMode = 0;//0=close, 1=open, 2=high, 3=low, 4=median(high+low)/2, 5=typical(high+low+close)/3, 6=weighted(high+low+close+close)/4
extern int timeframe1 =1;

string SymbolsArray[12]={"EURUSD","GBPUSD","USDJPY","AUDUSD","USDCAD","USDCHF","EURGBP","EURAUD","EURCHF","EURJPY","GBPJPY","GBPCHF"};
//ideal is to scan all Symbols with for cycle

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators


//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 


//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{
   int limit, i, counter;
   double tmp=0;
   double MAnow[], MAprev[], MAprev2[];
   
 /*  double MAnow_eur, MAprev_eur, MAprev2_eur;
   double MAnow_eur_tf2, MAprev_eur_tf2, MAprev2_eur_tf2;
   double MAnow_eur_tf3, MAprev_eur_tf3, MAprev2_eur_tf3;
   
   double MAnow_gbp, MAprev_gbp, MAprev2_gbp;
   double MAnow_gbp_tf2, MAprev_gbp_tf2, MAprev2_gbp_tf2;
   double MAnow_gbp_tf3, MAprev_gbp_tf3, MAprev2_gbp_tf3;
   
   double MAnow_jpy, MAprev_jpy, MAprev2_jpy;
   double MAnow_jpy_tf2, MAprev_jpy_tf2, MAprev2_jpy_tf2;
   double MAnow_jpy_tf3, MAprev_jpy_tf3, MAprev2_jpy_tf3;
   
   double MAnow_cad, MAprev_cad, MAprev2_cad;
   double MAnow_cad_tf2, MAprev_cad_tf2, MAprev2_cad_tf2;
   double MAnow_cad_tf3, MAprev_cad_tf3, MAprev2_cad_tf3;
   
   double MAnow_aud, MAprev_aud, MAprev2_aud;
   double MAnow_aud_tf2, MAprev_aud_tf2, MAprev2_aud_tf2;
   double MAnow_aud_tf3, MAprev_aud_tf3, MAprev2_aud_tf3;
   
   double MAnow_chf, MAprev_chf, MAprev2_chf;
   double MAnow_chf_tf2, MAprev_chf_tf2, MAprev2_chf_tf2;
   double MAnow_chf_tf3, MAprev_chf_tf3, MAprev2_chf_tf3; */
   
   int counted_bars=IndicatorCounted();
   
   static int PrevSignal = 0, PrevTime = 0;
   string Message1, Message2;
   
   Message1 = "MA slope alert Euro - EMA " + MA_Period + " crossed UP: " + Symbol() + " " + timeframe1 + " @ " + DoubleToStr(Bid,Digits);
   Message2 = "MA slope alert Euro - EMA " + MA_Period + " crossed DOWN: " + Symbol() + " " + timeframe1 + " @ " + DoubleToStr(Bid,Digits);



       for (i = 1; i==12; i++)  //I want to scan all symbols
   //Euras
   {
         MAnow[i] = iMA(SymbolsArray[i], timeframe1, MA_Period, 0, MA_Mode, PriceMode, 0); //This line does not work
         MAprev[i] = iMA(SymbolsArray[i], timeframe1, MA_Period, 0, MA_Mode, PriceMode, 1);
         MAprev2[i] = iMA(SymbolsArray[i], timeframe1, MA_Period, 0, MA_Mode, PriceMode, 2);

      // is MA on last bar close is higher than bar ago, and bar ago is lower than two bars ago (symbol changed direction at last bar)
      if (MAnow[i] > MAprev[i] && MAprev[i] < MAprev2[i])
      {
         if(PrevSignal <= 0)
         {
         Alert(Message1);
         PrevSignal = 1;
         }
      }


      if (MAnow[i] < MAprev[i] && MAprev[i] > MAprev2[i])
      {
         if(PrevSignal >= 0)
         {
         Alert(Message2);
         PrevSignal = -1;
         }
      }
     } 

   
   return(0);
}

